계정 청구

GET https://u.page/api/payments/
curl --request GET \
--url 'https://u.page/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부 사항 설명
processor 선택 사항 문자열 허용된 값: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status 선택 사항 문자열 허용된 값: paid, pending, cancelled, refunded
type 선택 사항 문자열 허용된 값: one_time, recurring
frequency 선택 사항 문자열 허용된 값: monthly, quarterly, biannual, annual, lifetime
datetime_field 선택 사항 문자열 허용된 값: datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 어떤 필드로 정렬할까요. 허용되는 값은: id, datetime, total_amount.
order_type 선택 사항 문자열 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다.
page 선택 사항 정수 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "[email protected]",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-09-14 01:30:06"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://u.page/api/payments?page=1",
        "last": "https://u.page/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://u.page/api/payments?page=1"
    }
}
GET https://u.page/api/payments/{id}
curl --request GET \
--url 'https://u.page/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "[email protected]",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-09-14 01:30:06"
    }
}